Project/almacen/almacen/urls.py
from django.contrib import admin
from django.urls import path, re_path,include
from django.conf import settings
from django.views.static import serve
from django.contrib.auth import views as auth_views

urlpatterns = [

    # Password Reset URLs
    path('reset_password/',
     auth_views.PasswordResetView.as_view(template_name="accounts/password_reset.html"),
     name="reset_password"),

    path('reset_password_sent/', 
        auth_views.PasswordResetDoneView.as_view(template_name="accounts/password_reset_sent.html"), 
        name="password_reset_done"),

    path('reset/<uidb64>/<token>/',
     auth_views.PasswordResetConfirmView.as_view(template_name="accounts/password_reset_form.html"), 
     name="password_reset_confirm"),

    path('reset_password_complete/', 
        auth_views.PasswordResetCompleteView.as_view(template_name="accounts/password_reset_done.html"), 
        name="password_reset_complete"),

    # First Urls    
    path('admin/', admin.site.urls),
    path('accounts/', include('django.contrib.auth.urls')),
    path('',include(('applications.base.urls','base'))),
]

if settings.DEBUG:
    urlpatterns += [
        re_path(r'^media/(?P<path>.*)$', serve ,{
            'document_root':settings.MEDIA_ROOT,
        })
    ]

Project/almacen/applications/base/urls.py
from django.urls import path
# from django.conf.urls import url
from .views import registrar_admin, edit_order, login_admin, index, add_order, list_order, order_reception, AgregarProducto, listar_producto, editar_producto, usuario_logout, add_client, add_debt, list_debt, add_seller, edit_client, edit_debt, add_provider, list_provider, edit_provider, mod_seller, venta_principal, edit_seller, end_sale, listar_venta, editar_venta
from django.contrib.auth import views as auth_views

app_name = 'base'

urlpatterns = [
    path('login/', login_admin, name = 'login'),
    path('registrarcuenta/', registrar_admin, name= 'registrarcuenta'),
    path('logout/', usuario_logout, name = 'logout'),
    path('add_order', add_order, name= 'add_order'),
    path('list_order', list_order, name='list_order'),
    path('edit_order/<int:order_id>', edit_order, name= 'edit'),
    path('reception', order_reception, name='reception'),
    path('agregarproducto/', AgregarProducto.as_view(), name='agregarproducto'),
    path('listarproducto/', listar_producto, name= 'listarproducto'),
    path('editar_producto/<int:product_id>', editar_producto),
    path('add_client', add_client, name='add_client'),
    path('add_debt', add_debt, name='add_debt'),
    path('list_debt', list_debt, name='list_debt'),
    path('agregar-vendedor/', add_seller, name='agregar_vendedor'),
    path('edit_client/<int:client_id>', edit_client, name= 'edit_client'),
    path('edit_debt/<int:debt_id>', edit_debt, name= 'edit_debt'),
    path('add_provider', add_provider, name= 'add_provider'),
    path('list_provider', list_provider, name= 'list_provider'),
    path('edit_provider/<int:provider_id>', edit_provider, name= 'edit_provider'),
    path('modificar-vendedor/', mod_seller, name='modificar-vendedor'),
    path('edit_seller/<int:seller_id>', edit_seller),
    path('venta_principal/', venta_principal, name='ventaprincipal'),
    path('venta_terminada/', end_sale, name='venta_terminada'),
    path('listar_venta/', listar_venta, name= 'listarventa'),
    path('editar_venta/<int:sale_id>', editar_venta),
    path('', index, name='index'),
]

Project/almacen/templates/maintainers/seller/add_seller.html
{% extends 'skeleton/base.html' %} {% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <!-- Estilos -->
    <link rel="stylesheet" href="{% static 'css/help.css' %}" />
    {% block title %} <title>Registrar vendedor </title>{% endblock %}
  </head>
  <body>
    {% block manual %}

    <div class="manual-icon">
      <a href="#openModal"
        ><i class="fa fa-question-circle" aria-hidden="true"></i
      ></a>
    </div>
    <div id="openModal" class="modalDialog">
      <div class="container-manual">
        <a href="#close" title="Close" class="close">X</a>
        <h2>Manual de uso</h2>
        <p>
          En este momento usted se encuentra en la ventana "Agregar Vendedor".
          Aquí deberá ingresar los datos del vendedor que usted desea agregar.
          <br />
          Debe completar todos los datos para un ingreso exitoso, y en caso de
          dejar algún campo en blanco el sistema le informará cuál es el campo
          vacío.
          <br />
          Desde las opciones superiores, puede acceder a la Lista de vendedores, presionando "Listar y editar"
        </p>
      </div>
    </div>
    {% endblock %} {% block content %} {% if request.user.is_authenticated %}
    <div class="container-fluid" style="width: 500px;">
      {% if registered %}
      <div class="">
        <nav aria-label="breadcrumb" class="">
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="{% url 'base:agregar_vendedor' %}">
                Registrar
              </a>
            </li>
            <li class="breadcrumb-item" aria-current="page">
              <a href="{% url 'base:modificar-vendedor' %}">
                Listar y editar
              </a>
            </li>
          </ol>
        </nav>
      </div>
      <div class="jumbotron">
        <h1 class="register-success">¡El vendedor ha sido registrado!</h1>
      </div>
      {% else %}
      <div class="container">
        <div class="row">
          <nav aria-label="breadcrumb" class="col-sm-12">
            <ol class="breadcrumb">
              <li class="breadcrumb-item active">
                Registrar
              </li>
              <li class="breadcrumb-item" aria-current="page">
                <a href="{% url 'base:modificar-vendedor' %}">
                  Listar y editar
                </a>
              </li>
            </ol>
          </nav>
        </div>
        <div class="row">
          <div id="title" class="col-sm-12">
            <h4>Agregar vendedor</h4>
            <h6>Completa los siguiente datos</h6>
          </div>
        </div>
        <div class="row">
          <form class="col-sm-12" enctype="multipart/form-data" method="POST">
            <div class="form-group">
              {% csrf_token %} {{ user_form.as_p }} {{ seller_form.as_p }}
              <button type="submit" class="btn btn-success">Registrar</button>
            </div>
          </form>
        </div>
      </div>
      {% endif %}
    </div>
    {% endif %} {% endblock content %}
  </body>
</html>

Project/almacen/templates/maintainers/seller/edit_seller.html
{% extends 'index.html' %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Estilos -->
    <link rel="stylesheet" href="{% static 'css/help.css' %}">
    
    {% block title %} <title>Modificar vendedor</title> {% endblock %}
</head>
<body>
    {% block manual %}

    <div class="manual-icon">
      <a href="#openModal"
        ><i class="fa fa-question-circle" aria-hidden="true"></i
      ></a>
    </div>
    <div id="openModal" class="modalDialog">
      <div class="container-manual">
        <a href="#close" title="Close" class="close">X</a>
        <h2>Manual de uso</h2>
        <p>
          Esta es la edición de vendedor. Aquí puede editar cada campo particular del vendedor que previamente seleccionó de la lista.
          <br />
          Una vez termine de editar los campos, presione "Guardar".
          <br />
          Si desea volver a la ventana anterior, puede presionar "Volver".
        </p>
      </div>
    </div>
    {% endblock %}
{% block content %}
{% if request.user.is_authenticated %}
    <h1>Modificar vendedor</h1>
    <form method="POST">
        {{ form }}
        {% csrf_token %}
        <button type="submit">Editar</button>
        <button>
            <a href="/modificar-vendedor"> Volver</a>
        </button>
    </form>
{% else %}

{% endif %}
{% endblock content %}
</body>
</html>

Project/almacen/templates/maintainers/seller/mod_seller.html
{% extends 'skeleton/base.html' %} {% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <!-- Estilos -->
    <link rel="stylesheet" href="{% static 'css/help.css' %}" />
    {% block title %} <title>Lista de vendedores</title> {% endblock %}
  </head>
  <body>
    {% block manual %}

    <div class="manual-icon">
      <a href="#openModal"
        ><i class="fa fa-question-circle" aria-hidden="true"></i
      ></a>
    </div>
    <div id="openModal" class="modalDialog">
      <div class="container-manual">
        <a href="#close" title="Close" class="close">X</a>
        <h2>Manual de uso</h2>
        <p>
          Esta es la lista de vendedores. Desde aquí puede consultar los
          vendedores agregados previamente y, en caso de requerirlo, editar sus
          datos usando el ícono "Editar" de la lista ubicado al final de cada vendedor.
          <br />
          Si desea volver a la ventana Agregar vendedor, puede utilizar la
          opción "Registrar" ubicada en el menú superior.
        </p>
      </div>
    </div>
    {% endblock %} {% block content %} {% if request.user.is_authenticated %}
    <div class="container">
      {% if registered %}
      <div class="jumbotron">
        <h1 class="register-success">El vendedor ha sido registrado!</h1>
        <a href="#">
          <a class="nav-link" href="{% url 'base:logout' %}"
            >Volver a iniciar sesión</a
          >
        </a>
      </div>
      {% else %}
      <div class="container">
        <div class="row">
          <nav aria-label="breadcrumb" class="col-sm">
            <ol class="breadcrumb">
              <li class="breadcrumb-item" aria-current="page">
                <a href="{% url 'base:agregar_vendedor' %}">
                  Registrar
                </a>
              </li>
              <li class="breadcrumb-item active">
                Listar y editar
              </li>
            </ol>
          </nav>
        </div>
        <div class="row">
          <div id="title" class="col-sm-12">
            <h4>Listado</h4>
          </div>
          <div class="col-sm-12">
            <table id="myTable" class="table table-striped table-bordered">
              <thead class="thead-light">
                <tr>
                  <th>Rut</th>
                  <th>Nombre</th>
                  <th>Apellido paterno</th>
                  <th>Apellido materno</th>
                  <th>Fecha de nacimiento</th>
                  <th>Dirección</th>
                  <th>Teléfono</th>
                  <th>Opciones</th>
                </tr>
              </thead>
              <tbody>
                {% for s in sellers %}
                <tr>
                  <td>{{ s.rut}}</td>
                  <td>{{ s.names}}</td>
                  <td>{{ s.firstsurname}}</td>
                  <td>{{ s.lastsurname}}</td>
                  <td>{{ s.birthdate}}</td>
                  <td>{{ s.address}}</td>
                  <td>{{ s.phone_number}}</td>
                  <td>
                    <a
                    type="button"
                    class="btn btn-primary"
                    href="/edit_seller/{{ s.id }}"
                  >
                    <i
                      class="fa fa-pencil-square-o"
                      aria-hidden="true"
                      style="font-size: 20px;"
                    ></i>
                  </td>
                  {% endfor %}
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      {% endif %}
    </div>
    {% endif %} {% endblock content %}
  </body>
</html>